> For the complete documentation index, see [llms.txt](https://docs.idexo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idexo.com/nft/mint-a-nft.md).

# Mint a NFT

To use this method, you need an [idexo API key](/get-api-key.md).&#x20;

You also need to have the address of an XXX contract that you have deployed, the address you are minting to and the URI for the metadata file for the NFT that you are minting. You will need to specify the blockchain network the NFT Collection is on, i.e. one of the following supported networks:&#x20;

* avalanche
* bnbchain
* dogechain
* ethereum
* fantom
* polygon

Assuming you have [installed the SDK](/master.md), you can use the following code in your file (instructions on modifying it follows):

```javascript
const ido = require('idexo-sdk')
ido.NFTs.mintNFT(apiKey, network, contractAddress, addressToMintTo, tokenUri)
.then(res => console.log(res.data))
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idexo.com/nft/mint-a-nft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
